textures/common/ladderclip
{
        qer_trans 0.30
        qer_editor_image textures/common/ladderclip.jpg 
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
        surfaceparm trans
}

textures/common/ladderclip2
{
        qer_trans 0.30
        qer_editor_image textures/common/ladderclip2.jpg 
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
        surfaceparm trans
}

textures/common/watercaulk
{
qer_editorimage textures/common/watercaulk.tga
qer_trans 0.1

surfaceparm nolightmap
surfaceparm noimpact
surfaceparm nonsolid
surfaceparm trans
surfaceparm water

}
textures/liquids/slime
{
qer_editorimage textures/liquids/slime7.jpg
qer_trans 0.1

surfaceparm nolightmap
surfaceparm noimpact
surfaceparm nonsolid
surfaceparm trans
surfaceparm slime

}

textures/liquids/slime2
{
qer_editorimage textures/liquids/slime1.jpg
qer_trans 0.1

surfaceparm nolightmap
surfaceparm noimpact
surfaceparm nonsolid
surfaceparm trans
surfaceparm slime

}

textures/common/lavacaulk
{
qer_editorimage textures/common/lavacaulk.tga
qer_trans 0.1

surfaceparm nolightmap
surfaceparm noimpact
surfaceparm nonsolid
surfaceparm trans
surfaceparm lava

}

textures/secretrooms/textlight
{
	qer_editorimage textures/secretrooms/textlight.tga

	qer_trans 0.40
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	q3map_surfacelight 10
}
//*****************************
//  ICY Glass Shader
//*****************************
//glass shader to make the glass_icy look rainbow like
textures/secretrooms/glass_icy
{
	qer_editorimage textures/secretrooms/glass_icy.jpg  
	surfaceparm nodamage
     surfaceparm slick
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	qer_trans 0.5
			 {
			map textures/secretrooms/glass_icy.jpg      
	        rgbGen wave sin 0.69 0.35 0 0.1
			tcGen environment
			blendfunc GL_ONE GL_ONE
	         }
	{
		map "textures/secretrooms/tint.tga"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}

}
//*****************************
//  Regular Glass Shader
//*****************************
//glass2 shader
textures/secretrooms/glass2
{
	qer_editorimage textures/secretrooms/glass2.jpg  
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	qer_trans 0.5
			 {
			map textures/secretrooms/glass2.jpg       
	        rgbGen wave sin 0.69 0.35 0 0.1
			tcGen environment
			blendfunc GL_ONE GL_ONE
	         }
}

//*****************************
//  ICY NO DAMAGE Shader
//*****************************
textures/secretrooms/icynodamage
{
	qer_editorimage textures/secretrooms/icynodamage.jpg
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm slick
}


//*****************************
//  Lava Shader
//*****************************
//makes moving/lightup lava using lava.tga
textures/secretrooms/lava
{
	qer_editorimage textures/secretrooms/lava.tga
	q3map_globaltexture
	surfaceparm trans	
	surfaceparm noimpact
	surfaceparm lava
	q3map_surfacelight 400
	tesssize 128
	cull disable
	deformVertexes wave 250 sin 4 8 0.15 0.3 
        {
		map textures/secretrooms/lava.tga
                tcmod scale 0.5 0.5
                tcmod scroll 0 0
                tcMod turb 0.1 .1 0.01 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
}
//*****************************
//  Teleport Shader
//*****************************
//for the red-lightup teleport texture
textures/secretrooms/teleport
{
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nonsolid
	q3map_surfacelight 1000
	tesssize 64
	{
		map textures/secretrooms/teleport.tga
		tcMod scroll -0.02 0.5
		tcMod turb 0 .12 0 0.333
	}
	{
		map textures/secretrooms/teleport.tga
		tcMod scroll 0.01 -0.5
		tcMod turb 0 .12 0 0.333
		blendFunc GL_ONE GL_ONE
	}
}

//for the purple teleport texture
textures/secretrooms/teleport2
{
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nonsolid
	q3map_surfacelight 10
	//tesssize 64
	{
		map textures/secretrooms/teleport2.jpg
		tcMod scroll -0.02 0.5
		tcMod turb 0 .12 0 0.333
		
	}
	
}

//for the purple teleport texture with rotation
//textures/secretrooms/teleport2
//{
//	surfaceparm nodlight
//	surfaceparm nolightmap
//	surfaceparm trans
//	surfaceparm noimpact
//	surfaceparm nonsolid
//	q3map_surfacelight 10
//	//tesssize 64
//	{
//		map textures/secretrooms/teleport2.jpg
//		//tcMod scroll -0.02 0.5
//		//tcMod turb 0 .12 0 0.333
//		tcMod rotate 540
//		
//	}
//	
//}

//blue light texture
textures/secretrooms/teleport3
{
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nonsolid
	q3map_surfacelight 100
	tesssize 64
	{
		map textures/secretrooms/teleport3.jpg
		tcMod scroll -0.02 0.5
		tcMod turb 0 .12 0 0.333
	}
	{
		map textures/secretrooms/teleport3.jpg
		tcMod scroll 0.01 -0.5
		tcMod turb 0 .12 0 0.333
		blendFunc GL_ONE GL_ONE
	}
}



//for the maze sign texture before maze entrance
textures/secretrooms/mazesign
{
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm noimpact
	q3map_surfacelight 10
	//tesssize 64
	{
		map textures/secretrooms/mazesign.jpg
		
	}
	
}

//for the maze sign texture next to door
textures/secretrooms/mazesign2
{
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm noimpact
	q3map_surfacelight 5
	//tesssize 64
	{
		map textures/secretrooms/mazesign2.jpg
		
	}
	
}

//for the bigroom sign texture next to door
textures/secretrooms/bigroomsign
{
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm noimpact
	q3map_surfacelight 5
	//tesssize 64
	{
		map textures/secretrooms/bigroomsign.jpg
		
	}
	
}

//for the teleport sign texture in spawn teleport door
textures/secretrooms/teleportroomsign
{   

	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm pointlight
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm noimpact
	q3map_surfacelight 5
	//tesssize 64
	{
		map textures/secretrooms/teleportroomsign.jpg
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 1 
		
	}
	
}

//for the "THE END" sign at end of jump section
textures/secretrooms/theend
{   

	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm pointlight
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm noimpact
	q3map_surfacelight 5
	//tesssize 64
	{
		map textures/secretrooms/theend.jpg
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 1 
		
	}
	
}

//red laser for blocking sections
textures/secretrooms/red_laser
{
    surfaceparm trans
	surfaceparm pointlight
	surfaceparm nodamage
	surfaceparm playerclip
	surfaceparm nomarks
	
	{
	map textures/secretrooms/red_laser.tga
    blendfunc add
	rgbGen vertex
	rgbGen wave inversesawtooth 0 1 0 1 

	}
}

//red stopsign for blocking sections
textures/secretrooms/stopsign
{
    surfaceparm trans
	surfaceparm pointlight
	surfaceparm nodamage
	surfaceparm playerclip
	surfaceparm nomarks
	
	{
	map textures/secretrooms/stopsign.tga
    blendfunc add
	rgbGen vertex
	rgbGen wave inversesawtooth 0 1 0 1 

	}
}

//green smileyface for open sections
textures/secretrooms/smileyface
{
    surfaceparm trans
	surfaceparm pointlight
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm noimpact
	
	{
	map textures/secretrooms/smileyface.tga
    blendfunc add
	rgbGen vertex
	rgbGen wave inversesawtooth 0 1 0 1 

	}
}

//closed sign (blinks)
textures/secretrooms/closedsign
{
	qer_editorimage textures/secretrooms/closedsign.tga
	surfaceparm nodamage
	polygonoffset
	q3map_lightsubdivide 128
	q3map_surfacelight 200
	{
		map textures/secretrooms/closedsign.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 1 
	}
}

//open sign (blinks)
textures/secretrooms/opensign
{
	qer_editorimage textures/secretrooms/opensign.tga
	surfaceparm nodamage
	polygonoffset
	q3map_lightsubdivide 128
	q3map_surfacelight 200
	{
		map textures/secretrooms/opensign.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 1 
	}
}


textures/secretrooms/lavafall
{
    q3map_surfacelight 400
    q3map_backsplash 0 0
	surfaceparm slick
    surfaceparm noimpact
    surfaceparm water
    surfaceparm trans
	surfaceparm slick
	surfaceparm nomarks
	surfaceparm nodamage
    cull none
    
    {
        map textures/secretrooms/lavafall.jpg
        blendFunc blend
        tcmod scroll -.05 -.05
    }
}


textures/env_skytest_skybox/skybox
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sunExt 248 232 190 450 130 55 3 16
	q3map_lightRGB 248 232 190 
	q3map_lightmapFilterRadius 0 64	
	q3map_skylight 325 3
	q3map_backsplash 0 0
	skyparms /textures/skylesson/skylesson - -
	//map textures/skylesson/skylesson - -
}

textures/env_skytest_skybox/skybox2
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sunExt 248 232 190 450 130 55 3 16
	q3map_lightRGB 248 232 190 
	q3map_lightmapFilterRadius 0 64	
	q3map_skylight 325 3
	q3map_backsplash 0 0
	skyparms /textures/1skybox/hg512 - -
	//map textures/skylesson/organic512 - -

}